org.apache.fop.render.afp.extensions

## Class AFPInvokeMediumMap

- java.lang.Object
- - org.apache.fop.render.afp.extensions.AFPExtensionAttachment
  - - org.apache.fop.render.afp.extensions.AFPInvokeMediumMap

- All Implemented Interfaces:
    java.io.Serializable, ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

      public class AFPInvokeMediumMap
      extends AFPExtensionAttachment

  This is the pass-through value object for the AFP extension.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment

      `ATT_NAME, CATEGORY, elementName, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPInvokeMediumMap()` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `toSAX(org.xml.sax.ContentHandler handler)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment

      `getCategory, getElementName, getName, hasName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AFPInvokeMediumMap

          public AFPInvokeMediumMap()

      Default constructor.

  - ### Method Detail

    - #### toSAX

          public void toSAX(org.xml.sax.ContentHandler handler)
                     throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.